import request from '/@/utils/request';

export function holidayGroupApi() {
    return {
        //休息时间组分页列表
        getRecordPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/getAllBreakTimeGroupByPage`,
                method: 'post',
                data: data
            });
        },

        // 休息时间组新增
        addRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/addBreakTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 休息时间组修改
        updateRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/updateBreakTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 休息时间组删除
        deleteRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/deleteBreakTimeGroup`,
                method: 'post',
                data: data
            });
        },

        // 休息时间组批量删除
        deletBatchRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/deleteBatchBreakTimeGroup`,
                method: 'post',
                data: data
            });
        },

        //休息时间列表
        getAllBreak: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/breakTime/getAllBreakTimeRule`,
                method: 'get'
            });
        }
    };
}
